Bug 11755 - net join may fail due to restricted ACLs
net join may fail due to restricted ACLs
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: Tools
4.3.5
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-25 11:28 UTC by Björn Jacke
Modified: 2016-03-23 08:37 UTC (History)
4 users (show)

See Also:


Attachments
patch from master (5.09 KB, patch)
2016-02-26 12:57 UTC, Guenther Deschner
gd: review+
asn: review+
bjacke: review+
Details
Additional patches for v4-4-test (26.38 KB, patch)
2016-03-14 19:40 UTC, Stefan Metzmacher
gd: review+
metze: review? (asn)
Details
Additional patches for v4-3-test (26.38 KB, patch)
2016-03-14 19:41 UTC, Stefan Metzmacher
gd: review+
metze: review? (asn)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Björn Jacke 2016-02-25 11:28:01 UTC
in some AD environment the user used to join a machine may only have right to create or delete objects but not modify. The net join code though recently wants to set the supported encryption typed after joining the account, which may fail then. The better approach is to create the machine account with all the intended attributes with one shot. Patch from metze will follow.
Comment 1 Guenther Deschner 2016-02-26 12:57:58 UTC
Created attachment 11872 [details]
patch from master
Comment 2 Guenther Deschner 2016-02-26 12:59:13 UTC
Karolin, please add to 4.4 (at least)
Comment 3 Björn Jacke 2016-02-26 14:57:54 UTC
4.3 also need that fix.
Comment 4 Karolin Seeger 2016-02-29 10:06:37 UTC
Pushed to autobuild-v4-[3|4]-test.
Comment 5 Stefan Metzmacher 2016-02-29 14:07:02 UTC
(In reply to Karolin Seeger from comment #4)

We need a follow up fix that takes care of the case, where
we the admin doesn't provide a ou.
Comment 6 Stefan Metzmacher 2016-03-14 19:40:51 UTC
Created attachment 11920 [details]
Additional patches for v4-4-test
Comment 7 Stefan Metzmacher 2016-03-14 19:41:33 UTC
Created attachment 11921 [details]
Additional patches for v4-3-test
Comment 8 Guenther Deschner 2016-03-15 09:53:00 UTC
Karolin, please add to 4-4 and 4-3. Thanks!
Comment 9 Karolin Seeger 2016-03-21 10:28:12 UTC
Pushed to v4-4-test and autobuild-v4-3-test.
Comment 10 Karolin Seeger 2016-03-23 08:37:47 UTC
Pushed to both branches.
Closing out bug report.

Thanks!